﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Datron 1065A: (90 Day) VER IEEE /5700A
DATE:                  2017-03-20 11:08:03
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       36
NUMBER OF LINES:       1205
CONFIGURATION:         Fluke 5700A
=============================================================================
#
#  Source:          Users Handbook
#                   Part Number 850041
#                   Issue 4 (DEC.1985)
#
#                   Portocal II
#                   Verify to 90 day
#                   Datron 1065A
#                   Version 1.10
#                   Pre Adjustment Procedure
#
#  Compatibility:   MET/CAL 6.11A or later
#
#  Additional equipment Required:
#                   None
#
#  The procedure is intended for use with Met/Cal(r) calibration software,
#  and the terms and conditions set forth in your METCAL license apply to
#  this procedure.
#
#  Due to our policy of continuously up dating our products, this procedure
#  may contain minor differences in specification to those found in the manual
#  or other documentation. While every effort has been made to ensure that
#  this procedure is accurate, Fluke cannot be held responsible for the
#  consequences of error or omissions found within this procedure.
#
#  The copyright in this procedure is owned by Fluke Precision Measurement
#  Limited.
#
#  Registers Used
#                M[1]   = Average Readings Counter (Adjustment)
#                M[2]   = Readings to Discard   (Adjustment)
#                M[3]   = Sum of Averages   (Adjustment)
#                M[4]   = Average of Readings (Adjustment)
#                M[6]   = First Delimited Value to Identify Option 12
#                M[7]   = Second Delimited Value to Identify Option 12
#                M[10]  = Number of Readings Reqd (Adjustment)
#                M[101] = Adjustment Retry Counter
#                M[102] = Invalid Measurement Counter
#                M[103] = Units Multiplier
#                M[104] = Tolerance
#                M[105] = Tight Tolerance % Multiplier
#                M[106] = Delay Time Remain Counter
#                M[107] = Tight Limit Calculated
#                M[255] = Delay Time (s)
#                S[2]   = Range String
#                S[10]  = DCV Function Selected
#                S[11]  = ACV Function Selectied
#                S[12]  = Resistance Function Selected
#                S[20]  = DCV Function Option Fitted
#                S[21]  = ACV Function Option Fitted
#                S[22]  = Resistance Function Option Fitted
#                S[32]  = Delay Time Message
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

 # Metcal Initial Setup
  1.001  IEEE         [SRQ OFF]

  1.002  ASK-                        P                            F        V
  1.003  ASK+           K

  1.004  HEAD         Personnel Safety
  1.005  DISP         [32]Dangerous voltages may be present during
  1.005  DISP         [32]this process, always check it is safe to do so
  1.005  DISP         [32]before touching any electrical connections.

  1.006  PIC          1081back
  1.007  DISP         Turn on the UUT and allow a minimum of 2 hours
  1.007  DISP         Warm Up period.
  1.008  PIC          1081_dis

# Metcal Initial Setup
  1.009  IEEE         [SRQ OFF]

# Initial UUT Setup
  1.010  IEEE         O0
  1.011  IEEE         Q1
  1.012  IEEE         T2
  1.013  IEEE         W0
  1.014  IEEE         I0
  1.015  IEEE         N0
  1.016  PIC          1065in57
  1.017  IEEE         F3R6C0A2


#******************* IDENTIFY OPTIONS ******************************

  1.018  MATH         S[20]="DC Voltage"

  1.019  HEAD         Identify Options Fitted

# AC Voltage
  1.020  MATH         S[21]="AC Voltage"
  1.021  IEEE         F2[D1000]
  1.022  IEEE         [SPL80]
  1.023  JMPL         RES_OPT  MEM != 80
  1.024  MATH         S[21]=""

# Resistance
  1.025  LABEL        RES_OPT
  1.026  MATH         S[22]="Resistance"
  1.027  IEEE         F1[D1000]
  1.028  IEEE         [SPL80]
  1.029  JMPL         DISP_OPT MEM != 80
  1.030  MATH         S[22]=""


  1.031  LABEL        DISP_OPT
  1.032  DISP         1065A With Functions Fitted:
  1.032  DISP         [32]                        [S20]
  1.032  DISP         [32]                        [S21]
  1.032  DISP         [32]                        [S22]



  1.033  RSLT         =1065A With Functions Fitted:
  1.034  RSLT         =[32]              [S20]
  1.035  RSLT         =[32]              [S21]
  1.036  RSLT         =[32]              [S22]


#***************** FUNCTION SELECTION **********************

#Allow the operator to choose the function to run. All functions are
#preloaded they are cleared if necessary by the operator selection.
  1.037  LABEL        Begin

#Load Registers with Options Fitted
  1.038  MATH         S[10] = S[20]
  1.039  MATH         S[11] = S[21]
  1.040  MATH         S[12] = S[22]

  1.041  HEAD         Function Selection
  1.042  OPBR         [32] Do you wish to run the whole procedure?
  1.043  JMPL         Run_Some MEM1 ==-1
  1.044  JMPL         Finish_Selection

  1.045  LABEL        Run_Some
  1.046  OPBR         Do you want to run the [S10] Performance
  1.046  OPBR         Verification tests?
  1.047  JMPL         ACV MEM1==1
  1.048  MATH         S[10] = ""

  1.049  LABEL        ACV
  1.050  JMPL         RES CMPI ("",S[11]) == 1
  1.051  OPBR         Do you want to run the [S11]
  1.051  OPBR         Performance Verification tests?
  1.052  JMPL         RES MEM1==1
  1.053  MATH         S[11] = ""

  1.054  LABEL        RES
  1.055  JMPL         Finish_Selection CMPI ("",S[12]) == 1
  1.056  OPBR         Do you want to run the [S12]
  1.056  OPBR         Performance Verification tests?
  1.057  JMPL         Finish_Selection  MEM1==1
  1.058  MATH         S[12] = ""


#Display Selections Chosen
  1.059  LABEL        Finish_Selection

  1.060  OPBR         [32]Performance Tests Chosen:
  1.060  OPBR         [32]                 [S10]
  1.060  OPBR         [32]                 [S11]
  1.060  OPBR         [32]                 [S12]
  1.060  OPBR
  1.060  OPBR         (YES to continue/ NO to reselect)
  1.061  JMPL         Begin MEM1==-1

  1.062  5700         *                                                 S

#**************************** DC VOLTAGE *******************************
#***********************************************************************

  1.063  JMPL         SKIP_DCV  CMPI ("DC Voltage",S[10]) != 1

  1.064  RSLT         =
  1.065  HEAD         {Function: DC Voltage}
  1.066  TARGET       -p

# Measurement Setup
  1.067  VSET         NTHROW = 1 NMEAS = 5


# ***************** 100 mV RANGE ****************

# Set String Registers:        Range          Units
  1.068  MATH         S[2] = "100" ; S[3]  = "mV"

# Set Numeric Register:  Units
  1.069  MATH         M[103] = 1e-3   ; M[108] = 1


# UUT Setup to 100mV Range
  1.070  RSLT         =
  1.071  RSLT         =100 mV Range
  1.072  IEEE         F3R2C1A2

# ********************* + 0 mV Output ********************************

# Setup Registers      Delay Time      Message
  1.073  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
  1.074  MATH         M[104] = 0.0032

# 57xx Setup
  1.075  MMFC                                      100mV
  1.076  5700         0mV                                               S  2W
  1.077  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  1.078  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  1.079  MATH         M[105]  = 25
  1.080  CALL         Sub Datron 10xx Input Zero IEEE
  1.081  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  1.082  IEEE         [D2000]

# Take Reading
  1.083  TARGET       -m
  1.084  CALL         Sub Datron 10xx Take Reading IEEE
  1.085  MEMCX        +0.0000mV      M104U


# ********************* +100 mV Output ********************************

# Setup Registers      Delay Time
  2.001  MATH         M[255] = 5

# Set Tolerance
  2.002  MATH         M[104] = 0.0092

# 57xx Setup
  2.003  5700         100mV                                             S  2W
  2.004  CALL         Sub Wait

# Take Reading
  2.005  TARGET       -m
  2.006  CALL         Sub Datron 10xx Take Reading IEEE
  2.007  MEMCX        100.0000mV     M104U


# ********************* -100 mV Output ********************************

# Setup Registers      Delay Time
  3.001  MATH         M[255] = 5

# Set Tolerance
  3.002  MATH         M[104] = 0.0092

# 57xx Setup
  3.003  5700         -100mV                                            S  2W
  3.004  CALL         Sub Wait

# Take Reading
  3.005  TARGET       -m
  3.006  CALL         Sub Datron 10xx Take Reading IEEE
  3.007  MEMCX        -100.0000mV    M104U


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
  4.001  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
  4.002  MATH         M[103] = 1

# UUT Setup to 1V Range
  4.003  RSLT         =
  4.004  RSLT         =1V Range
  4.005  IEEE         F3R3C1A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  4.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  4.007  MATH         M[104] = 0.000008

# 57xx Setup
  4.008  MMFC                                      1V
  4.009  5700         0V                                                S  2W
  4.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  4.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  4.012  MATH         M[105]  = 25
  4.013  CALL         Sub Datron 10xx Input Zero IEEE
  4.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  4.015  IEEE         [D2000]

# Take Reading
  4.016  TARGET       -m
  4.017  CALL         Sub Datron 10xx Take Reading IEEE
  4.018  MEMCX        +0.000000V     M104U

# ********************* +1 V Output ********************************

# Setup Registers      Delay Time
  5.001  MATH         M[255] = 5

# Set Tolerance
  5.002  MATH         M[104] = 0.000044

# 57xx Setup
  5.003  5700         1V                                                S  2W
  5.004  CALL         Sub Wait

# Take Reading
  5.005  TARGET       -m
  5.006  CALL         Sub Datron 10xx Take Reading IEEE
  5.007  MEMCX        1.000000V      M104U


# ********************* -1 V Output ********************************

# Setup Registers      Delay Time
  6.001  MATH         M[255] = 5

# Set Tolerance
  6.002  MATH         M[104] = 0.000044

# 57xx Setup
  6.003  5700         -1V                                               S  2W
  6.004  CALL         Sub Wait

# Take Reading
  6.005  TARGET       -m
  6.006  CALL         Sub Datron 10xx Take Reading IEEE
  6.007  MEMCX        -1.000000V     M104U


# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
  7.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
  7.002  MATH         M[103] = 1

# UUT Setup to 10V Range
  7.003  RSLT         =
  7.004  RSLT         =10V Range
  7.005  IEEE         F3R4C1A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
  7.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
  7.007  MATH         M[104] = 0.00008

# 57xx Setup
  7.008  MMFC                                      10V
  7.009  5700         0V                                                S  2W
  7.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
  7.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
  7.012  MATH         M[105]  = 25
  7.013  CALL         Sub Datron 10xx Input Zero IEEE
  7.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
  7.015  IEEE         [D2000]

# Take Reading
  7.016  TARGET       -m
  7.017  CALL         Sub Datron 10xx Take Reading IEEE
  7.018  MEMCX        +0.00000V      M104U

# ********************* +10 V Output ********************************

# Setup Registers      Delay Time
  8.001  MATH         M[255] = 5

# Set Tolerance
  8.002  MATH         M[104] = 0.00044

# 57xx Setup
  8.003  5700         10V                                               S  2W
  8.004  CALL         Sub Wait

# Take Reading
  8.005  TARGET       -m
  8.006  CALL         Sub Datron 10xx Take Reading IEEE
  8.007  MEMCX        10.00000V      M104U



# ********************* -10 V Output ********************************

# Setup Registers      Delay Time
  9.001  MATH         M[255] = 5

# Set Tolerance
  9.002  MATH         M[104] = 0.00044

# 57xx Setup
  9.003  5700         -10V                                              S  2W
  9.004  CALL         Sub Wait

# Take Reading
  9.005  TARGET       -m
  9.006  CALL         Sub Datron 10xx Take Reading IEEE
  9.007  MEMCX        -10.00000V     M104U


# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 10.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 10.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 10.003  RSLT         =
 10.004  RSLT         =100 V Range
 10.005  IEEE         F3R5C1A2


# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 10.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 10.007  MATH         M[104] = 0.0008

# 57xx Setup
 10.008  MMFC                                      100V
 10.009  5700         0V                                                S  2W
 10.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 10.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 10.012  MATH         M[105]  = 25
 10.013  CALL         Sub Datron 10xx Input Zero IEEE
 10.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 10.015  IEEE         [D2000]

# Take Reading
 10.016  TARGET       -m
 10.017  CALL         Sub Datron 10xx Take Reading IEEE
 10.018  MEMCX        +0.0000V       M104U

# ********************* +100 V Output ********************************

# Setup Registers      Delay Time
 11.001  MATH         M[255] = 5

# Set Tolerance
 11.002  MATH         M[104] = 0.0078

# 57xx Setup
 11.003  5700         100V                                              S  2W
 11.004  CALL         Sub Wait

# Take Reading
 11.005  TARGET       -m
 11.006  CALL         Sub Datron 10xx Take Reading IEEE
 11.007  MEMCX        100.0000V      M104U


# ********************* -100 V Output ********************************

# Setup Registers      Delay Time
 12.001  MATH         M[255] = 5

# Set Tolerance
 12.002  MATH         M[104] = 0.0108

# 57xx Setup
 12.003  5700         -100V                                             S  2W
 12.004  CALL         Sub Wait

# Take Reading
 12.005  TARGET       -m
 12.006  CALL         Sub Datron 10xx Take Reading IEEE
 12.007  MEMCX        -100.0000V     M104U



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 13.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 13.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 13.003  RSLT         =
 13.004  RSLT         =1000V Range
 13.005  IEEE         F3R6C1A2

# ********************* + 0 V Output ********************************

# Setup Registers      Delay Time      Message
 13.006  MATH         M[255] = 10  ; S[32] = "Settling Time"

# Set Tolerance
 13.007  MATH         M[104] = 0.008

# 57xx Setup
 13.008  5700         0V                                                S  2W
 13.009  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 13.010  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 13.011  MATH         M[105]  = 25
 13.012  CALL         Sub Datron 10xx Input Zero IEEE
 13.013  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 13.014  IEEE         [D2000]

# Take Reading
 13.015  TARGET       -m
 13.016  CALL         Sub Datron 10xx Take Reading IEEE
 13.017  MEMCX        +0.000V        M104U

# ********************* +1000 V Output ********************************

# Setup Registers      Delay Time
 14.001  MATH         M[255] = 5

# Set Tolerance
 14.002  MATH         M[104] = 0.078

# 57xx Setup
 14.003  MMFC                                      1000V
 14.004  5700         1000V                                             S  2W
 14.005  CALL         Sub Wait

# Take Reading
 14.006  TARGET       -m
 14.007  CALL         Sub Datron 10xx Take Reading IEEE
 14.008  MEMCX        1000.000V      M104U



# ********************* -1000 V Output ********************************

# Setup Registers      Delay Time
 15.001  MATH         M[255] = 5

# Set Tolerance
 15.002  MATH         M[104] = 0.078

# 57xx Setup
 15.003  5700         -1000V                                            S  2W
 15.004  CALL         Sub Wait

# Take Reading
 15.005  TARGET       -m
 15.006  CALL         Sub Datron 10xx Take Reading IEEE
 15.007  MEMCX        -1000.000V     M104U


# Rest After High Voltage
 16.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 16.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 16.003  CALL         Sub Wait

 16.004  LABEL        SKIP_DCV
#**************************** AC VOLTAGE *******************************
#***********************************************************************
 16.005  JMPL         SKIP_ACV  CMPI ("AC Voltage",S[11])!= 1

 16.006  RSLT         =
 16.007  HEAD         {Function: AC Voltage}
 16.008  TARGET       -p
 16.009  MMFC         *

# Measurement Setup
 16.010  VSET         NTHROW = 1 NMEAS = 5


# ***************** 1V RANGE ****************

# Set String Registers:        Range          Units
 16.011  MATH         S[2] = "1" ; S[3]  = "V"

# Set Numeric Register:  Units
 16.012  MATH         M[103] = 1

# UUT Setup to 1V Range
 16.013  RSLT         =
 16.014  RSLT         =1V Range
 16.015  IEEE         F2R3C1A0

# ********************* 1V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 16.016  MATH         M[255] = 5

# Set Tolerance
 16.017  MATH         M[104] = 0.0011

# 57xx Setup
 16.018  5700         1V                           500H                 S  2W
 16.019  CALL         Sub Wait

# Take Reading
 16.020  TARGET       -m
 16.021  CALL         Sub Datron 10xx Take Reading IEEE
 16.022  MEMCX        1.00000V       M104U         500H

# ********************* 1V @ 40 kHz Output ********************************

# Setup Registers      Delay Time
 17.001  MATH         M[255] = 5

# Set Tolerance
 17.002  MATH         M[104] = 0.006

# 57xx Setup
 17.003  5700         1V                           40kH                 S  2W
 17.004  CALL         Sub Wait

# Take Reading
 17.005  TARGET       -m
 17.006  CALL         Sub Datron 10xx Take Reading IEEE
 17.007  MEMCX        1.00000V       M104U         40kH



# ***************** 10V RANGE ****************

# Set String Registers:        Range          Units
 18.001  MATH         S[2] = "10" ; S[3]  = "V"

# Set Numeric Register:  Units
 18.002  MATH         M[103] = 1

# UUT Setup to 10V Range
 18.003  RSLT         =
 18.004  RSLT         =10V Range
 18.005  IEEE         F2R4C1A0

# ********************* 10V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 18.006  MATH         M[255] = 5

# Set Tolerance
 18.007  MATH         M[104] = 0.011

# 57xx Setup
 18.008  5700         10V                          500H                 S  2W
 18.009  CALL         Sub Wait

# Take Reading
 18.010  TARGET       -m
 18.011  CALL         Sub Datron 10xx Take Reading IEEE
 18.012  MEMCX        10.0000V       M104U         500H

# ********************* 10V @ 40kHz Output ********************************

# Setup Registers      Delay Time
 19.001  MATH         M[255] = 5

# Set Tolerance
 19.002  MATH         M[104] = 0.06

# 57xx Setup
 19.003  5700         10V                          40kH                 S  2W
 19.004  CALL         Sub Wait

# Take Reading
 19.005  TARGET       -m
 19.006  CALL         Sub Datron 10xx Take Reading IEEE
 19.007  MEMCX        10.0000V       M104U         40kH



# ***************** 100 V RANGE ****************

# Set String Registers:        Range          Units
 20.001  MATH         S[2] = "100" ; S[3]  = "V"

# Set Numeric Register:  Units
 20.002  MATH         M[103] = 1

# UUT Setup to 100V Range
 20.003  RSLT         =
 20.004  RSLT         =100 V Range
 20.005  IEEE         F2R5C1A0

# ********************* 100V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 20.006  MATH         M[255] = 5

# Set Tolerance
 20.007  MATH         M[104] = 0.11

# 57xx Setup
 20.008  5700         100V                         500H                 S  2W
 20.009  CALL         Sub Wait

# Take Reading
 20.010  TARGET       -m
 20.011  CALL         Sub Datron 10xx Take Reading IEEE
 20.012  MEMCX        100.000V       M104U         500H

# ********************* 100V @ 40kHz Output ********************************

# Setup Registers      Delay Time
 21.001  MATH         M[255] = 5

# Set Tolerance
 21.002  MATH         M[104] = 0.6

# 57xx Setup
 21.003  5700         100V                         40kH                 S  2W
 21.004  CALL         Sub Wait

# Take Reading
 21.005  TARGET       -m
 21.006  CALL         Sub Datron 10xx Take Reading IEEE
 21.007  MEMCX        100.000V       M104U         40kH



# ***************** 1000V RANGE ****************

# Set String Registers:        Range          Units
 22.001  MATH         S[2] = "1000" ; S[3]  = "V"

# Set Numeric Register:  Units
 22.002  MATH         M[103] = 1

# UUT Setup to 1000V Range
 22.003  RSLT         =
 22.004  RSLT         =1000 V Range
 22.005  IEEE         F2R6C1A0

# ********************* 1000V @ 500Hz Output ********************************

# Setup Registers      Delay Time
 22.006  MATH         M[255] = 5

# Set Tolerance
 22.007  MATH         M[104] = 1.1

# 57xx Setup
 22.008  5700         1000V                        500H                 S  2W
 22.009  CALL         Sub Wait

# Take Reading
 22.010  TARGET       -m
 22.011  CALL         Sub Datron 10xx Take Reading IEEE
 22.012  MEMCX        1000.00V       M104U         500H

# ********************* 200V @ 20kHz Output ********************************

# Setup Registers      Delay Time
 23.001  MATH         M[255] = 5

# Set Tolerance
 23.002  MATH         M[104] = 0.62

# 57xx Setup
 23.003  5700         200V                         20kH                 S  2W
 23.004  CALL         Sub Wait

# Take Reading
 23.005  TARGET       -m
 23.006  CALL         Sub Datron 10xx Take Reading IEEE
 23.007  MEMCX        200.00V        M104U         20kH




# Rest After High Voltage
 24.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 24.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 24.003  CALL         Sub Wait

 24.004  LABEL        SKIP_ACV

#**************************** RESISTANCE *******************************
#***********************************************************************
 24.005  JMPL         SKIP_RES  CMPI ("Resistance",S[12]) != 1

 24.006  RSLT         =
 24.007  HEAD         {Function: Resistance}
 24.008  TARGET       -p

# Measurement Setup
 24.009  VSET         NTHROW = 1 NMEAS = 5


# ***************** 100 Ohm RANGE ****************

# Set String Registers:        Range          Units
 24.010  MATH         S[2] = "100" ; S[3]  = "Ohm"

# Set Numeric Register:  Units
 24.011  MATH         M[103] = 1

# UUT Setup to 10 Ohm Range
 24.012  RSLT         =
 24.013  RSLT         =100 Ohm Range
 24.014  IEEE         F1R2C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 24.015  MATH         M[255] = 15  ; S[32] = "Settling Time"

# Set Tolerance
 24.016  MATH         M[104] = 0.0032

# 57xx Setup
 24.017  MMFC         *
 24.018  5700         0Z                                                S  4W
 24.019  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 24.020  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 24.021  MATH         M[105]  = 25
 24.022  CALL         Sub Datron 10xx Input Zero IEEE
 24.023  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 24.024  IEEE         [D2000]

# Take Reading
 24.025  TARGET       -m
 24.026  CALL         Sub Datron 10xx Take Reading IEEE
 24.027  MEMCX        +0.000Z        M104U



# ********************* 100Ohm Output ********************************

# Setup Registers      Delay Time
 25.001  MATH         M[255] = 5

# Set Tolerance
 25.002  MATH         M[104] = 0.0092

# 57xx Setup
 25.003  5700         100Z                                              S  4W
 25.004  CALL         Sub Wait

# Take Reading
 25.005  TARGET       -m
 25.006  CALL         Sub Datron 10xx Take Reading IEEE
 25.007  MEMCX        Z              M104U



# ***************** 1 kOhm RANGE ****************

# Set String Registers:        Range          Units
 26.001  MATH         S[2] = "1" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 26.002  MATH         M[103] = 1e3

# UUT Setup to 1 kOhm Range
 26.003  RSLT         =
 26.004  RSLT         =1 kOhm Range
 26.005  IEEE         F1R3C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 26.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 26.007  MATH         M[104] = 0.000008

# 57xx Setup
 26.008  MMFC         *
 26.009  5700         0kZ                                               S  4W
 26.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 26.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 26.012  MATH         M[105]  = 25
 26.013  CALL         Sub Datron 10xx Input Zero IEEE
 26.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 26.015  IEEE         [D2000]

# Take Reading
 26.016  TARGET       -m
 26.017  CALL         Sub Datron 10xx Take Reading IEEE
 26.018  MEMCX        +0.00000kZ     M104U



# ********************* 1kOhm Output ********************************

# Setup Registers      Delay Time
 27.001  MATH         M[255] = 5

# Set Tolerance
 27.002  MATH         M[104] = 0.000048

# 57xx Setup
 27.003  5700         1kZ                                               S  4W
 27.004  CALL         Sub Wait

# Take Reading
 27.005  TARGET       -m
 27.006  CALL         Sub Datron 10xx Take Reading IEEE
 27.007  MEMCX        kZ             M104U



# ***************** 10 kOhm RANGE ****************

# Set String Registers:        Range          Units
 28.001  MATH         S[2] = "10" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 28.002  MATH         M[103] = 1e3

# UUT Setup to 10 kOhm Range
 28.003  RSLT         =
 28.004  RSLT         =10 kOhm Range
 28.005  IEEE         F1R4C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 28.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 28.007  MATH         M[104] = 0.00008

# 57xx Setup
 28.008  MMFC         *
 28.009  5700         0kZ                                               S  4W
 28.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 28.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 28.012  MATH         M[105]  = 25
 28.013  CALL         Sub Datron 10xx Input Zero IEEE
 28.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 28.015  IEEE         [D2000]

# Take Reading
 28.016  TARGET       -m
 28.017  CALL         Sub Datron 10xx Take Reading IEEE
 28.018  MEMCX        +00.0000kZ     M104U



# ********************* 10kOhm Output ********************************

# Setup Registers      Delay Time
 29.001  MATH         M[255] = 5

# Set Tolerance
 29.002  MATH         M[104] = 0.00048

# 57xx Setup
 29.003  5700         10kZ                                              S  4W
 29.004  CALL         Sub Wait

# Take Reading
 29.005  TARGET       -m
 29.006  CALL         Sub Datron 10xx Take Reading IEEE
 29.007  MEMCX        kZ             M104U



# ***************** 100 kOhm RANGE ****************

# Set String Registers:        Range          Units
 30.001  MATH         S[2] = "100" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 30.002  MATH         M[103] = 1e3

# UUT Setup to 100 kOhm Range
 30.003  RSLT         =
 30.004  RSLT         =100 kOhm Range
 30.005  IEEE         F1R5C1A2

# *********************  0 kOhm Output ********************************

# Setup Registers      Delay Time      Message
 30.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 30.007  MATH         M[104] = 0.0008

# 57xx Setup
 30.008  MMFC         *
 30.009  5700         0kZ                                               S  4W
 30.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 30.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 30.012  MATH         M[105]  = 25
 30.013  CALL         Sub Datron 10xx Input Zero IEEE
 30.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 30.015  IEEE         [D2000]

# Take Reading
 30.016  TARGET       -m
 30.017  CALL         Sub Datron 10xx Take Reading IEEE
 30.018  MEMCX        +0.000kZ       M104U



# ********************* 100kOhm Output ********************************

# Setup Registers      Delay Time
 31.001  MATH         M[255] = 5

# Set Tolerance
 31.002  MATH         M[104] = 0.0054

# 57xx Setup
 31.003  5700         100kZ                                             S  4W
 31.004  CALL         Sub Wait

# Take Reading
 31.005  TARGET       -m
 31.006  CALL         Sub Datron 10xx Take Reading IEEE
 31.007  MEMCX        kZ             M104U



# ***************** 1000 kOhm RANGE ****************

# Set String Registers:        Range          Units
 32.001  MATH         S[2] = "1000" ; S[3]  = "kOhm"

# Set Numeric Register:  Units
 32.002  MATH         M[103] = 1e3

# UUT Setup to 1000 kOhm Range
 32.003  RSLT         =
 32.004  RSLT         =1000 kOhm Range
 32.005  IEEE         F1R6C1A2

# *********************  0 Ohm Output ********************************

# Setup Registers      Delay Time      Message
 32.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 32.007  MATH         M[104] = 0.008

# 57xx Setup
 32.008  MMFC         *
 32.009  5700         0kZ                                               S  4W
 32.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 32.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 32.012  MATH         M[105]  = 25
 32.013  CALL         Sub Datron 10xx Input Zero IEEE
 32.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 32.015  IEEE         [D2000]

# Take Reading
 32.016  TARGET       -m
 32.017  CALL         Sub Datron 10xx Take Reading IEEE
 32.018  MEMCX        +0.000kZ       M104U



# ********************* 1000kOhm Output ********************************

# Setup Registers      Delay Time
 33.001  MATH         M[255] = 10

# Set Tolerance
 33.002  MATH         M[104] = 0.158

# 57xx Setup
 33.003  5700         1000kZ                                            S  4W
 33.004  CALL         Sub Wait

# Take Reading
 33.005  TARGET       -m
 33.006  CALL         Sub Datron 10xx Take Reading IEEE
 33.007  MEMCX        kZ             M104U



# ***************** 10 MOhm RANGE ****************

# Set String Registers:        Range          Units
 34.001  MATH         S[2] = "10" ; S[3]  = "MOhm"

# Set Numeric Register:  Units
 34.002  MATH         M[103] = 1e6

# UUT Setup to 10 MOhm Range
 34.003  RSLT         =
 34.004  RSLT         =10 MOhm Range
 34.005  IEEE         F1R7C1A2

# *********************  0 MOhm Output ********************************

# Setup Registers      Delay Time      Message
 34.006  MATH         M[255] = 20  ; S[32] = "Settling Time"

# Set Tolerance
 34.007  MATH         M[104] = 0.00008

# 57xx Setup
 34.008  MMFC         *
 34.009  5700         0MZ                                               S  4W
 34.010  CALL         Sub Wait

# Set Sub Input Zero Registers
#                       Readings      Discards
 34.011  MATH         M[10] = 5       ; M[2] = 0

# Set Registers:     Tight Tol Percentage
 34.012  MATH         M[105]  = 25
 34.013  CALL         Sub Datron 10xx Input Zero IEEE
 34.014  HEAD         [S2][S3] Range Average Reading = [M4][S3]
 34.015  IEEE         [D2000]

# Take Reading
 34.016  TARGET       -m
 34.017  CALL         Sub Datron 10xx Take Reading IEEE
 34.018  MEMCX        +0.0000MZ      M104U



# ********************* 10MOhm Output ********************************

# Setup Registers      Delay Time
 35.001  MATH         M[255] = 5

# Set Tolerance
 35.002  MATH         M[104] = 0.00408

# 57xx Setup
 35.003  5700         10MZ                                              S  4W
 35.004  CALL         Sub Wait

# Take Reading
 35.005  TARGET       -m
 35.006  CALL         Sub Datron 10xx Take Reading IEEE
 35.007  MEMCX        MZ             M104U


# Rest After High Voltage
 36.001  IEEE         F3R6C0A0
# Setup Registers      Delay Time
 36.002  MATH         M[255] = 40  ; S[32] = "Rest Period"
 36.003  CALL         Sub Wait


 36.004  LABEL        SKIP_RES
 36.005  LABEL        END
 36.006  END
